summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authornarindergupta <narinder.gupta@canonical.com>2017-06-01 16:53:03 -0700
committerNarinder Gupta <narinder.gupta@canonical.com>2017-06-02 05:50:44 -0500
commit703cfe7ce2639d3074cf39bffd748e59b5ed7b43 (patch)
treea0d50bd32ec7e1efb606f0e643a12c8e201e531a
parent9e321798fa5422c102b9a8a7d3fef799b9745d65 (diff)
libvirtd and libvirt both needed.
It seems some Ubuntu system shows libvirt and some do libvirtd. Based on when system deploys So lets try both. Change-Id: If31a6474b4c00ff335b4fe74b6d1be00e6f36575 Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
-rwxr-xr-xci/03-maasdeploy.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/ci/03-maasdeploy.sh b/ci/03-maasdeploy.sh
index e5e203e7..79d1eb3d 100755
--- a/ci/03-maasdeploy.sh
+++ b/ci/03-maasdeploy.sh
@@ -130,7 +130,11 @@ echo "... Deployment of maas Started ...."
# define the pool and try to start even though its already exist.
# For fresh install this may or may not there.
-sudo adduser $USER libvirtd
+#some system i am seeing libvirt and some have libvirtd looks like libvirt-bin is
+#keep switching so lets try both.
+
+sudo adduser $USER libvirtd || true
+sudo adduser $USER libvirt || true
sudo virsh pool-define-as default --type dir --target /var/lib/libvirt/images/ || true
sudo virsh pool-start default || true
sudo virsh pool-autostart default || true